Examples of xml signature applied to Election Markup Language (EML)
Neal McBurnett                 http://neal.mcburnett.org/
2011-06-14

These were prepared on Ubuntu Linux, but it should be possible to
validate the signatures with any software that is compliant with XML
Signature.

The process starts with a "template" file which is valid EML, in this case EML 470:

 SampleVTokenLogWithSeal-tmpl.xml

When a signature is applied, the process produces the signed file, in
this case with an "enveloped" signature based on the template:

 SampleVTokenLogWithSeal.xml 

The signing process uses a sample RSA key: rsakey.pem.
The verification process uses the corresponding public key: rsapub.pem.

These sample keys come from the XMLsec Library source code and are all inculded here.

 http://www.aleksey.com/xmlsec/

Preparation:
------------

Install the xmlsec1 tool and documentation on Ubuntu Linux:

    sudo apt-get install xmlsec1 libxmlsec1-dev

Make and verify signatures:

    make
